from setuptools import setup, find_packages

setup(
    name     = 'stClinic',
    version  = '0.0.10',
    keywords ='TME',
    description = 'stClinic for dissecting clinically relevant niches by integrating spatial multi-slice multi-omics data',
    license  = 'MIT License',
    url      = 'https://github.com/cmzuo11/stClinic',
    author   = 'cmzuo',
    author_email = 'cmzuo13@163.com',
    packages     = find_packages(),
    include_package_data = True,
    platforms    = 'any',
    install_requires = [
        'anndata==0.9.2',
        'numpy==1.22.3',
        'pandas==2.0.3',
        'scipy==1.10.1',
        'matplotlib==3.7.2',
        'scanpy==1.9.3',
        'umap-learn==0.5.3',
        'louvain==0.8.1',
        'h5py==3.9.0',
        'torch==2.4.0',
        'faiss-gpu',
        'torchaudio==2.4.0',
        'torchvision==0.19.0',
        'tqdm==4.65.0',
        'hnswlib==0.5.1',
        'rpy2==3.5.1',
        'scikit-learn==1.3.0',
        'scikit-misc==0.2.0',
        'seaborn==0.11.2',
        'lifelines==0.27.8',
        'networkx==3.1',
        'igraph==0.10.8',
        'python-igraph==0.10.8',
        'torch-sparse==0.6.18',
        'torch-scatter==2.1.2',
        ],
        )